OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Geometry Class Reference

`#include <PGeom2d_Geometry.hxx>`

Inheritance diagram for PGeom2d_Geometry:

[legend]

## Public Member Functions
| PGeom2d_Geometry (const Storage_stCONSTclCOM &a)
| PGeom2d_Geometry ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom2d_Geometry::PGeom2d_Geometry | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom2d_Geometry::PGeom2d_Geometry | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom2d_Geometry::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in PGeom2d_AxisPlacement, PGeom2d_BezierCurve, PGeom2d_BoundedCurve, PGeom2d_BSplineCurve, PGeom2d_CartesianPoint, PGeom2d_Circle, PGeom2d_Conic, PGeom2d_Curve, PGeom2d_Direction, PGeom2d_Ellipse, PGeom2d_Hyperbola, PGeom2d_Line, PGeom2d_OffsetCurve, PGeom2d_Parabola, PGeom2d_Point, PGeom2d_TrimmedCurve, PGeom2d_Vector, and PGeom2d_VectorWithMagnitude.

The documentation for this class was generated from the following file:

- PGeom2d_Geometry.hxx